Skip to main content
GET
/
credits
Get credits
curl --request GET \
  --url https://xquik.com/api/v1/credits \
  --header 'x-api-key: <api-key>'
import requests

url = "https://xquik.com/api/v1/credits"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://xquik.com/api/v1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://xquik.com/api/v1/credits"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
Free - does not consume credits
curl https://xquik.com/api/v1/credits \
  -H "x-api-key: xq_YOUR_KEY_HERE" | jq
const response = await fetch("https://xquik.com/api/v1/credits", {
  headers: { "x-api-key": "xq_YOUR_KEY_HERE" },
});
const data = await response.json();
console.log(data);
import requests

response = requests.get(
    "https://xquik.com/api/v1/credits",
    headers={"x-api-key": "xq_YOUR_KEY_HERE"},
)
data = response.json()
print(data)

Headers

x-api-key
string
required
Your API key. Session cookie authentication is also supported.

Response

auto_topup_amount_dollars
number
Dollar amount charged when automatic top-up runs.
auto_topup_enabled
boolean
Whether automatic top-up is enabled.
auto_topup_threshold
string
Credit balance threshold that triggers automatic top-up when enabled (Bigint string).
balance
string
Current credit balance (Bigint string to preserve precision above Number.MAX_SAFE_INTEGER).
lifetime_purchased
string
Total credits purchased (Bigint string).
lifetime_used
string
Total credits consumed (Bigint string).
{
  "auto_topup_amount_dollars": 10,
  "auto_topup_enabled": false,
  "auto_topup_threshold": "50000",
  "balance": "450",
  "lifetime_purchased": "1000",
  "lifetime_used": "550"
}
Last modified on May 5, 2026